mav_transparentObjectsRender(3)

NAME
mav_transparentObjectsRender - Render transparent objects correctly.

LEVEL
Maverik Level 3

SYNTAX
void mav_transparentObjectsRender(void *ignored);

int mav_objectIsTransparent(MAV_window *w, MAV_object *o);

void mav_transparentObjectsManage(MAV_window *w, MAV_object *o, MAV_drawInfo *di);

ARGUMENTS
Window. Object. Draw info.

DESCRIPTION
These functions ensure that transparent objects are drawn correctly. renders all transparent objects. returns MAV_TRUE if object o in window w is transparent, otherwise MAV_FALSE. This function is called when the draw callback is executed for a transparent object o. This allows for special treatment, specifically to delay rendering until after all other objects have been drawn, and are depth sorted. These measures are necessary for transparent objects to be displayed correctly.